package uy.edu.fing.tse.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public final class Fact implements Serializable {

    private static final long serialVersionUID = -6218807350324946355L;

    private Long id;
    private String title;
    private String description;
    private State actualState;
    private Score score;
    private Category category;
    private List<StateHistory> history = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public State getActualState() {
        return actualState;
    }

    public void setActualState(State actualState) {
        this.actualState = actualState;
    }

    public Score getScore() {
        return score;
    }

    public void setScore(Score score) {
        this.score = score;
    }

    public Category getCategory() {
        return category;
    }

    public void setCategory(Category category) {
        this.category = category;
    }

    public List<StateHistory> getHistory() {
        return history;
    }

    public void setHistory(List<StateHistory> history) {
        this.history = history;
    }

    public void addHistory(StateHistory history) {
        this.history.add(history);
    }

    public void setEstado() {
        this.actualState.setValue("A Comprobar");
    }

    public Boolean EstaVerifcado() {
       return (actualState.getValue().equals("En Proceso") || actualState.getValue().equals("Verificado")  || (actualState.getValue().equals("A Comprobar")));

    }

    public void CancelarHecho() {
        this.actualState.setValue("Cancelar");
    }
    public void PublicarHecho() {
        this.actualState.setValue("Publicado");
    }
}
