package uy.edu.fing.tse.central.business;


import uy.edu.fing.tse.dto.*;

import java.io.Serializable;
import java.util.List;

public interface Business extends Serializable {

    void altaPeriferico(Peripherical p);

    void updateUsuario(User u);

    void altaVerificacionMecanismo(CheckMechanism cm);

    List<Fact> listarHechos();

    Fact altaHecho(Fact fact);

    Role altaRol(Role role);

    State altaEstado(State state);

    List<Role> listarRoles();

    List<User> listarUsuarios();

    Score altaCalificacion(Score e);

    List<State> listarEstados();

    void altaUsuario(User user);
}

