package uy.edu.fing.tse.jsf;

import javax.enterprise.context.RequestScoped;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import java.util.Objects;

@RequestScoped
@Named("security")
public class SecurityBean {

    public boolean isLogged() {
        final var token = FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("token");
        return token != null;
    }

    public boolean hasRole(final String role) {
        final var rol = FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("role");
        return Objects.equals(rol, role);
    }

    public String getUser() {
        return (String) FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("user");
    }

}
